MODULE_USB_COMPOSITE(9)

NAME
module_usb_composite_driver - Helper macro for registering a USB gadget composite driver

SYNOPSIS

module_usb_composite_driver(__usb_composite_driver);

ARGUMENTS

__usb_composite_driver
    usb_composite_driver struct

DESCRIPTION

Helper macro for USB gadget composite drivers which do not do anything special in module init/exit. This eliminates a lot of boilerplate. Each module may only use this macro once, and calling it replaces module_init and module_exit

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT